#include <stdio.h>

long switch_example(long x, long y, long z)
{
	long w = 1;
	switch (x) {
	case 1:
		w = y * z;
		break;
	case 2:
		w = y/z;
		// intentional fall through
	case 3:
		w += z;
		break;
	// No case 4
	case 5:
	case 6:
		w -= z;
		break;
	default:
		w = 2;
	}
	return w;
}

int main()
{
	long y = 20, z = 5;

	for (long x = 0; x < 10; x++) {
		long result = switch_example(x, y, z);
		printf("switch_example(%ld,%ld,%ld) = %ld\n",
			x, y, z, result);
	}
	return 0;
}
